Package twisted :: Package spread :: Module pb :: Class BrokerFactory

[frames | no frames]

## Class BrokerFactory

      Factory --+
                |
    Versioned --+
                |
               BrokerFactory

DEPRECATED, use PBServerFactory instead.

I am a server for object brokerage.

Method Summary
| `__init__(self, objectToBroker)`
| ``buildProtocol`(self, addr)` Return a Broker attached to me (as the service provider).
| `clientConnectionMade(self, protocol)`
| `config_objectToBroker(self, newObject)`
| `upgradeToVersion2(self)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 3
`int` | `unsafeTracebacks` = 0
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Method Details

### buildProtocol(self, addr)

Return a Broker attached to me (as the service provider).

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol`

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        3

### unsafeTracebacks

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:01 2004 | http://epydoc.sf.net